This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1474096 - In Utilisation graph for Pods and Containers the Rounding of metrics is inconsistant
In Utilisation graph for Pods and Containers the Rounding of metrics is incon...
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Robin Knaur
Einat Pacifici
: TestOnly, ZStream
Depends On:
Blocks: 1481436
  Show dependency treegraph
 
Reported: 2017-07-23 16:58 EDT by Loic Avenel
Modified: 2017-10-17 02:35 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1481436 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)
screenshot (82.33 KB, image/png)
2017-07-23 16:58 EDT, Loic Avenel
no flags Details

  None (edit)
Description Loic Avenel 2017-07-23 16:58:13 EDT
Created attachment 1303340 [details]
screenshot

Description of problem: In Utilisation graph for Pods and Containers the Rounding of metrics is inconsistant


Version-Release number of selected component (if applicable): 5.8.0.17.20170525183055_6317a22


How reproducible: always


Steps to Reproduce:
1. go to a pod or a container
2. look at utilisation
3.

Actual results: Number are display 3 times with 3 different rounding


Expected results: Rounding match..


Additional info: see Screenshots for details..
Comment 2 Dave Johnson 2017-07-25 20:28:10 EDT
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.
Comment 3 Federico Simoncelli 2017-07-31 09:58:40 EDT
Gregg, what do you think, is this a UI or reporting issue?
Comment 4 Dan Clarizio 2017-07-31 12:42:19 EDT
Taking this as a UI issue.
Comment 5 Dan Clarizio 2017-07-31 12:44:08 EDT
Robin, I had thought we had consistency at least on the axis labels, to always show the same number of digits.  Perhaps we need a discussion regarding the report, axis, and hover text consistency.
Comment 6 Robin Knaur 2017-08-01 03:48:01 EDT
I am pretty sure, that this is issue for all CU charts, not only for pods and containers. Now we dynamically adjust precision for each chart based on data which are actually shown. When you hide/show data series it is also recalculated.

We don't have anchored Min or Max value, so there have been situations when you had chart like one at screenshot, but all labels were same, like 0.001. But chart look like a curve, so it was weird. Now labels should match what you see everywhere, but you can get this unnecessary precision like in this case.

Hover tooltips have one more floating point precision, than Y axis labels.
Comment 7 Dan Clarizio 2017-08-01 11:25:03 EDT
Robin, could we at least make the Y axis labels and the tooltip text have the same precision?  That would provide consistency at least within the chart itself.
Comment 8 Robin Knaur 2017-08-02 10:39:27 EDT
Yep, of course, that won't be a problem. Report table, on the other hand, would be much more problematic. If we want to keep chart responsibility, it would be very hard to keep consistency between charts and table.
Comment 10 Dave Johnson 2017-08-03 19:50:47 EDT
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.
Comment 11 CFME Bot 2017-08-10 02:33:44 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/4de9579644a70c57d711ff13077da9d2433e2bf2

commit 4de9579644a70c57d711ff13077da9d2433e2bf2
Author:     PanSpagetka <rknaur@redhat.com>
AuthorDate: Wed Aug 2 16:43:46 2017 +0200
Commit:     PanSpagetka <rknaur@redhat.com>
CommitDate: Wed Aug 2 16:44:17 2017 +0200

    Make tooltip precision for CU chart constistent with Y axis labels
    https://bugzilla.redhat.com/show_bug.cgi?id=1474096

 app/assets/javascripts/miq_application.js | 1 -
 1 file changed, 1 deletion(-)

Note You need to log in before you can comment on or make changes to this bug.